esp32_BNO08x 1.4 C++ BNO08x IMU driver component for esp-idf.

Public Member Functions | Public Attributes | List of all members
bno08x_activity_classifier_t Struct Reference

Struct to represent activity classifier data. More...

`#include <BNO08xGlobalTypes.hpp>`

## Public Member Functions
| bno08x_activity_classifier_t ()
bno08x_activity_classifier_t & | operator= (const sh2_PersonalActivityClassifier_t &source)

## Public Attributes
uint8_t | confidence [10]
BNO08xActivity | mostLikelyState
BNO08xAccuracy | accuracy
uint8_t | page
bool | lastPage

## Detailed Description

Struct to represent activity classifier data.

## Constructor & Destructor Documentation

## ◆ bno08x_activity_classifier_t()

bno08x_activity_classifier_t::bno08x_activity_classifier_t | ( |  | ) |
| inline

## Member Function Documentation

## ◆ operator=()

bno08x_activity_classifier_t & bno08x_activity_classifier_t::operator= | ( | const sh2_PersonalActivityClassifier_t & | source | ) |
| inline

## Member Data Documentation

## ◆ accuracy

BNO08xAccuracy bno08x_activity_classifier_t::accuracy

## ◆ confidence

uint8_t bno08x_activity_classifier_t::confidence[10]

## ◆ lastPage

bool bno08x_activity_classifier_t::lastPage

## ◆ mostLikelyState

BNO08xActivity bno08x_activity_classifier_t::mostLikelyState

## ◆ page

uint8_t bno08x_activity_classifier_t::page

The documentation for this struct was generated from the following file:

- /media/develop/git/imu_pr_cleanup/components/esp32_BNO08x/include/BNO08xGlobalTypes.hpp